ListManagedFirewallDomainLists
Returns a paginated list of the AWS Managed DNS Lists and the categories for DNS
Firewall. The categories are either THREAT or CONTENT.
Important
Route 53 Global Resolver is a global service that supports resolvers in multiple AWS Regions but you must specify the
US East (Ohio) Region to create, update, or otherwise work with Route 53 Global Resolver resources. That is, for example,
specify
--region us-east-2
on AWS CLI commands.
Request Syntax
GET /list-managed-firewall-domain-lists/managedFirewallDomainListType?max_results=maxResults&next_token=nextToken HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- managedFirewallDomainListType
-
The category of the Manage DNS list either
THREATorCONTENT.Required: Yes
- maxResults
-
The maximum number of results to retrieve in a single call.
- nextToken
-
A pagination token used for large sets of results that can't be returned in a single response.
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"managedFirewallDomainLists": [
{
"description": "string",
"id": "string",
"managedListType": "string",
"name": "string"
}
],
"nextToken": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- managedFirewallDomainLists
-
List of the Managed Domain Lists.
Type: Array of ManagedFirewallDomainListsItem objects
- nextToken
-
A pagination token used for large sets of results that can't be returned in a single response. Provide this token in the next call to get the results not returned in this call.
Type: String
Errors
For information about the errors that are common to all actions, see Common Errors.
- AccessDeniedException
-
You don't have permission to perform this operation. Check your IAM permissions and try again.
HTTP Status Code: 403
- InternalServerException
-
An internal server error occurred. Try again later.
- retryAfterSeconds
-
Number of seconds in which the caller can retry the request.
HTTP Status Code: 500
- ThrottlingException
-
The request was throttled due to too many requests. Wait a moment and try again.
- quotaCode
-
The quota code recognized by the AWS Service Quotas service.
- retryAfterSeconds
-
Number of seconds in which the caller can retry the request.
- serviceCode
-
The code for the AWS service that owns the quota.
HTTP Status Code: 429
- ValidationException
-
The input parameters are invalid. Check the parameter values and try again.
- fieldList
-
The list of fields that aren't valid.
- reason
-
Reason the request failed validation.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: